textproc/py-demjson3 - The NetBSD Packages Collection

Encoder, decoder, and lint/validator for JSON compliant with RFC 7159

demjson3 is a Python language module for encoding, decoding, and
syntax-checking JSON data. It works under Python 3.

It comes with a jsonlint script which can be used to validate your JSON
documents for strict conformance to the JSON specification, and to detect
potential data portability issues. It can also reformat or pretty-print JSON
documents; either by re-indenting or removing unnecessary whitespace.

Build dependencies

devel/py-setuptools pkgtools/mktools pkgtools/cwrappers

Runtime dependencies

devel/py-setuptools lang/python310 lang/python310

Binary packages

OSArchitectureVersion
NetBSD 10.0aarch64py310-demjson3-3.0.6.tgz
NetBSD 10.0aarch64py311-demjson3-3.0.6.tgz
NetBSD 10.0aarch64py38-demjson3-3.0.6.tgz
NetBSD 10.0aarch64py39-demjson3-3.0.6.tgz
NetBSD 10.0earmv6hfpy310-demjson3-3.0.6.tgz
NetBSD 10.0earmv6hfpy311-demjson3-3.0.6.tgz
NetBSD 10.0earmv6hfpy38-demjson3-3.0.6.tgz
NetBSD 10.0earmv6hfpy39-demjson3-3.0.6.tgz
NetBSD 10.0earmv7hfpy310-demjson3-3.0.6.tgz
NetBSD 10.0earmv7hfpy311-demjson3-3.0.6.tgz
NetBSD 10.0earmv7hfpy38-demjson3-3.0.6.tgz
NetBSD 10.0earmv7hfpy39-demjson3-3.0.6.tgz
NetBSD 10.0x86_64py310-demjson3-3.0.6.tgz
NetBSD 10.0x86_64py311-demjson3-3.0.6.tgz
NetBSD 10.0x86_64py38-demjson3-3.0.6.tgz
NetBSD 10.0x86_64py39-demjson3-3.0.6.tgz
NetBSD 8.0powerpcpy310-demjson3-3.0.6.tgz
NetBSD 8.0powerpcpy311-demjson3-3.0.6.tgz
NetBSD 8.0powerpcpy38-demjson3-3.0.6.tgz
NetBSD 8.0powerpcpy39-demjson3-3.0.6.tgz
NetBSD 8.0powerpcpy310-demjson3-3.0.6.tgz
NetBSD 8.0powerpcpy311-demjson3-3.0.6.tgz
NetBSD 8.0powerpcpy38-demjson3-3.0.6.tgz
NetBSD 8.0powerpcpy39-demjson3-3.0.6.tgz
NetBSD 9.0aarch64py310-demjson3-3.0.6.tgz
NetBSD 9.0aarch64py311-demjson3-3.0.6.tgz
NetBSD 9.0aarch64py38-demjson3-3.0.6.tgz
NetBSD 9.0aarch64py39-demjson3-3.0.6.tgz
NetBSD 9.0alphapy310-demjson3-3.0.6.tgz
NetBSD 9.0alphapy311-demjson3-3.0.6.tgz
NetBSD 9.0alphapy38-demjson3-3.0.6.tgz
NetBSD 9.0alphapy39-demjson3-3.0.6.tgz
NetBSD 9.0earmv6hfpy310-demjson3-3.0.6.tgz
NetBSD 9.0earmv6hfpy311-demjson3-3.0.6.tgz
NetBSD 9.0earmv6hfpy38-demjson3-3.0.6.tgz
NetBSD 9.0earmv6hfpy39-demjson3-3.0.6.tgz
NetBSD 9.0earmv7hfpy310-demjson3-3.0.6.tgz
NetBSD 9.0earmv7hfpy311-demjson3-3.0.6.tgz
NetBSD 9.0earmv7hfpy38-demjson3-3.0.6.tgz
NetBSD 9.0earmv7hfpy39-demjson3-3.0.6.tgz
NetBSD 9.0sparc64py310-demjson3-3.0.6.tgz
NetBSD 9.0sparc64py311-demjson3-3.0.6.tgz
NetBSD 9.0sparc64py38-demjson3-3.0.6.tgz
NetBSD 9.0sparc64py39-demjson3-3.0.6.tgz
NetBSD 9.0sparcpy310-demjson3-3.0.6.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.